Loading...
Searching...
No Matches
websocketpp::transport::asio::tls_socket Namespace Reference

## Classes

class | connection
| TLS enabled Asio connection socket component. More...
class | endpoint
| TLS enabled Asio endpoint socket component. More...

## Typedefs

typedef lib::function< void(connection_hdl, lib::asio::ssl::stream< lib::asio::ip::tcp::socket > &)> | socket_init_handler
| The signature of the socket_init_handler for this socket policy.
typedef lib::function< lib::shared_ptr< lib::asio::ssl::context >(connection_hdl)> | tls_init_handler
| The signature of the tls_init_handler for this socket policy.

## Detailed Description

A socket policy for the asio transport that implements a TLS encrypted socket by wrapping with an asio::ssl::stream

## Typedef Documentation

## socket_init_handler

typedef lib::function<void(connection_hdl,lib::asio::ssl::stream< lib::asio::ip::tcp::socket>&)> websocketpp::transport::asio::tls_socket::socket_init_handler

The signature of the socket_init_handler for this socket policy.

Definition at line 53 of file tls.hpp.

## tls_init_handler

typedef lib::function<lib::shared_ptr<lib::asio::ssl::context>(connection_hdl)> websocketpp::transport::asio::tls_socket::tls_init_handler

The signature of the tls_init_handler for this socket policy.

Definition at line 56 of file tls.hpp.